plugins {
    id("java")
}

group = "org.alexinv"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral()
}

dependencies {
    implementation("io.micrometer:micrometer-java11:1.13.0")

    testImplementation("org.junit.jupiter:junit-jupiter-api:5.8.1")
    testRuntimeOnly("org.junit.jupiter:junit-jupiter-engine:5.8.1")

    testImplementation("org.wiremock:wiremock:3.5.4")
}

tasks.getByName<Test>("test") {
    useJUnitPlatform()
}